Bug 175494 - Review Request: new
Summary: Review Request: new
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: John Mahowald
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
: 175496 (view as bug list)
Depends On:
Blocks: FE-ACCEPT
TreeView+ depends on / blocked
 
Reported: 2005-12-11 22:28 UTC by W. Michael Petullo
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-12-19 22:30:05 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description W. Michael Petullo 2005-12-11 22:28:18 UTC
Spec Name or Url: http://flyn.org/SRPMS/new.spec
SRPM Name or Url: http://www.flyn.org/projects/new/new-1.3.5-1.src.rpm
Description: A simple template system for creating text files.

Comment 1 Ville Skyttä 2005-12-11 22:53:42 UTC
*** Bug 175496 has been marked as a duplicate of this bug. ***

Comment 2 John Mahowald 2005-12-13 17:36:24 UTC
- package meets naming guidelines
- license (GPL) OK, text in %doc, matches source
- spec file legible
- source matches upstream
- package compiles on FC4 i386
- no missing BR
- no unnecessary BR
- no locales
- not relocatable
- owns all directories that it creates
- permissions ok
- %clean ok
- macro use consistent
- code, not content
- no need for -docs
- nothing in %doc affects runtime
- no need for .desktop file 


Stuff needing work:
- warnings about duplicate files
- %doc %{_mandir} is useless, rpm knows about man already
- empty NEWS and FAQ aren't useful, don't include
- Don't need to list every file in %files, including a directory includes its
contents. Wildcards accepted, useful for including everything but not owning the
directory. So you can do:

%files
%{_bindir}/*
%{_datadir}/new
%{_mandir}/*/*

- Your header and pkgconfig files should be in a seperate devel sub package.
This devel package should require the base new package, the exact same version.
See PackageReviewGuidelines on the wiki.

Comment 3 W. Michael Petullo 2005-12-14 00:40:19 UTC
Changes recommended by John:

Spec Name or Url: http://flyn.org/SRPMS/new.spec
SRPM Name or Url: http://www.flyn.org/projects/new/new-1.3.5-2.src.rpm
Description: A simple template system for creating text files.

Comment 4 John Mahowald 2005-12-19 06:18:03 UTC
Builds and works. rpmlint complains about:

E: new non-executable-script /usr/share/new/templates/missing/default 0644
E: new non-executable-script /usr/share/new/templates/py/default 0644
E: new non-executable-script /usr/share/new/templates/sh/default 0644
W: new-devel no-documentation

but these can be ignored, templates aren't executable.

devel subpackage included, no .la files.

Remainder of review in comment 2.

APPROVED

Comment 5 Michael Schwendt 2005-12-24 19:00:24 UTC
> %files devel
> %{_libdir}/pkgconfig/new.pc
> %{_includedir}/new
> %{_libdir}/lib*.so

Missing %defattr(..). If built, files in binary package will be
owned by the build user.


Comment 6 W. Michael Petullo 2005-12-24 20:09:42 UTC
new-1.3.5-3 is now in CVS.  This version fixes the issue raised in command #5.


Note You need to log in before you can comment on or make changes to this bug.